(ns wanijo.schema.routes
  (:require [compojure.core :refer [defroutes GET]]
            [wanijo.domain.schema :as domain-schemas]
            [wanijo.view :as view]))

(defn- overview! [req]
  (let [session (:session req)
        ident (:ident session)
        schemas (domain-schemas/all-created-by! ident)]
    (view/layout!
     :session session
     :content
     [[:table
       [:thead
        [:tr
         [:th "Nimi"]
         [:th "Tenpo kama"]]]
       [:tbody
        (for [schema schemas]
          [:tr
           [:td (:name schema)]
           [:td (:created_at schema)]])]]])))

(defroutes schema-routes
  (GET "/schema" [] overview!))
